package ppos

//paramsBusiness 公共参数：应用id、账号类型、账号id、公司、中心
type paramsBusiness struct {
	paramsCompany
}

func (that *paramsBusiness) init() {
	that.paramsBase.init()
}

func (that *paramsBusiness) CreateMpApi(params ...interface{}) error {
	that.init()
	if _err := that.paramsCompany.CreateMpApi(params...); _err != nil {
		return _err
	}
	//非强制参数
	if that.paramsMp.Has("business_id") {
		//设置隔离字段
		that.postionMp.Set("business_id", that.paramsMp.Get("business_id"))
	}
	//
	return nil
}
